/* Website: sudarsanam central school
Author: Weberge by ipsr 
Subpage.css*/

/********** CSS **********/
:root {
    --primary: #1A4C86;
    --secondary: #F25334;
    --dark: #0A1D33;
    --dark2: #14052C;
    --dark3: #333333;
    --light:#606E7D;
    --bg-light: #F0F6FC;
}


/********************************* Sub Page ************************************/
.subpage-banner{
    height: 280px;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    display: flex;
    align-items: center;
    background-position: center;
    object-fit: cover;
    /* z-index: 99; */
}
.subpage-banner::before {
    /* background: rgba(12, 78, 159, 0.85);
    background-repeat: no-repeat;
    content: '';
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    bottom: 0; */
}
.sub-banner-content{
    color: var(--dark);
    z-index: 99;
	background-color: #0000007d;
    padding: 20px 0;
    position: absolute;
    bottom: 0;
    width: 100%;
    text-shadow: 2px 2px 8px #000;
	left: 0;
}
.sub-banner-content h2{
    font-weight: 500;
    color: white;
    font-size: 40px;
}
.sub-page-content-area{
    margin-bottom: 50px;
}
.sub-page-content p{
    margin-bottom: 30px;
    text-align: justify;
}
/* ------------- Breadcrumbs ------------- */

.breadcrumbs{
    /* justify-content: center; */
    display: flex;
}
.breadcrumbs ul{
    /* background-color: white;
    border-radius: 20px; */
}
.breadcrumbs ul li{
    color: white;
    font-weight: 500;
    position: relative;
    padding: 0px 33px;
    font-size: 22px;
}
.breadcrumbs ul li::before{
    /* content: '\f101' !important;
    font-family: "fontAwesome";
    font-size: 15px;
    position: absolute;
    left: -16px;
    color: var(--secondary) !important; */
    /* opacity: 0.7; */

        /* opacity: 0.7; */
        position: absolute;
        background-position: left;
        left: 0;
        bottom: 9px;
        left: -22px;
        opacity: 0.6;
        content: '' !important;
        width: 15px;
        height: 15px;
        border-radius: 0 15px 0 0;
        background: var(--secondary);

}
.breadcrumbs ul li:first-child{
    padding-left: 0;
}
.breadcrumbs ul li:last-child{
    padding-left: 0;
}
.breadcrumbs ul li:first-child::before{
    content: none !important;

}
.breadcrumbs ul li a{
    color: white;
    font-weight: 500;
    opacity: 0.7;
}
.breadcrumbs ul li a:hover{
    color: var(--secondary);
}

/* ------------- Content ------------- */

.sub-page-content{
    padding: 60px 0px;
    position: relative;
}

.sub-page-content img{
    object-fit: cover;
    /* max-width: 70%; */
}


/* ------------- Divider ------------- */

.divider{
    border-bottom: 1px solid #ccc;
    margin: 40px 0px;
}
/* ------------- List ------------- */

ul.vision-sub{
    padding-left: 0px;
    position: relative;
}
ul.vision-sub li{
    list-style: none;
    padding: 5px 0px;
    color: var(--dark);
    padding-left: 40px;
     line-height: 26px;
}

ul.vision-sub li::before {
    position: absolute;
    left: 0;
    font-family: "Font Awesome 5 Free";
    content: "\f138";
    display: inline-block;
    padding-right: 3px;
    vertical-align: middle;
    font-size: 18px;
    font-weight: 900;
    color: var(--primary);
}
/* ------------- Table ------------- */

table{
    margin-bottom: 20px;
}
table, th, td{
    border: 1px solid var(--primary);
    padding: 7px 5px;
    
}
th{
    background: var(--primary);
    color: white;
    font-weight: 500;
}
td{
    padding: 7px 5px;
    color: var(--dark_blue);
}
/* ------------- Accordion ------------- */
 .accordion {
    background-color: var(--primary);
    color: white;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    border: none;
    text-align: left;
    outline: none;
    font-size: 18px;
    transition: all .4s;
    margin-bottom: 5px;
    text-transform: capitalize;
  }
  
.accordion.active, .accordion:hover {
    background-color: var(--secondary); 
}
  
.panel {
    padding: 10px 5px;
    display: none;
    background-color: white;
    overflow: hidden;
    /* transition: all .4s; */
    
    max-height: 0;
    transition: max-height 0.3s ease; 

}
.accordion.active + .panel {
    display: block;
    max-height: 500px; /* Adjust the max-height as needed */
}
  button.accordion:after {
    content: '\002B';
    color: white;
    font-weight: bold;
    float: right;
    margin-left: 5px;
}
button.accordion.active, button.accordion:hover {
    background-color: var(--secondary); 
}
button.accordion.active:after {
    content: "\2212";
} 

/* ------------- Side menu ------------- */

.quick-links-sub{
    /* padding: 30px 30px; */
    /* background: var(--bg-light); */
    height: auto;
    margin-bottom: 30px;
}
.quick-links-sub-title {
    background: var(--primary);
    color: white;
    padding: 20px 30px;
    border-radius: 10px 10px 0 0;
}
.quick-links-sub h2{
    border-bottom: none;
}
.quick-links-sub h2 span{
    color: white;
}
.quick-links-sub ul{
    padding-left: 0px;
    margin-bottom: 0px;

}

.quick-links-sub li{
    background-color: var(--primary);
    /* border-bottom: 1px solid #ccccccc9; */
    padding: 20px 60px;
    list-style: none;
    margin-bottom: 5px;
    border-radius: 10px;
    position: relative;

    transition: all 0.3s ease-in-out;
    -webkit-transition: all 0.3s ease-in-out;
    -moz-transition: all 0.3s ease-in-out;
    -ms-transition: all 0.3s ease-in-out;
    -o-transition: all 0.3s ease-in-out;
}
.quick-links-sub li::before{

    background-image: url(../img/pencil.png);
    background-repeat: no-repeat;
    background-size: cover;
    position: absolute;
    left: 20px;
    top: 15px;
    /* opacity: 0.5; */
    content: '';
    height: 30px;
    width: 30px;
}
.quick-links-sub li:hover{
    padding: 20px 70px;
}
.quick-links-sub li:hover a{
    color: var(--secondary);
}
.quick-links-sub li:last-child{
    border-bottom: none;
}
.quick-links-sub li a{
    color: white;
    font-size: 17px;
    font-weight: 400;
}
.quick-links-sub li a:hover{
    color: var(--secondary);
}
.quick-links-sub ul li.active, .quick-links-sub ul li.current-menu-item{
    /* background-color: rgba(255, 255, 255, 13%); */
    background-color: var(--secondary);
}
.quick-links-sub ul li.active a, .quick-links-sub ul li.current-menu-item a{
    color: white;
    /* font-weight: 500; */
}
/* ------------- Contact form ------------- */
.contact-page{

}
.contact-details{
    margin-bottom: 40px;
}
.contact-page h5{
    font-size: 28px;
    font-weight: 600;
}
.contact-page p{
    margin-bottom: 5px;
}
.contact-details a{
    color: var(--light);
}
.contact-details a:hover{
    color: var(--secondary);
}
.contact-page .contact-icon{
    border: 1px solid var(--light);
    width: 110px;
    height: 110px;
    border-radius: 100px;
    justify-content: center;
    display: flex;
    align-items: center;
    margin: 0 auto;
    margin-bottom: 20px;
}
.contact-page .contact-icon img{
    height: 50px;
    width: auto;
    object-fit: cover;
    border-radius: 0;
    margin: 0;
}
.contact-sub-form::after{
    /* display: none; */
}
.contact-sub-form{
    /* background-color: var(--bg-light); */
}
.contact-form{
    padding: 30px;
    border-radius: 5px;
    margin-bottom: 30px;
}
.contact-sub input[type=text],.contact-sub input[type=email],.contact-sub input[type=tel], .contact-sub textarea {
    width: 100%; 
    padding: 12px 20px;
    /* margin: 8px 0; */
    /* display: inline-block; */
    border: 1px solid #ccc !important;
    border-radius: 8px;
    box-sizing: border-box;
    height: 50px;
    z-index: 99;
    margin-top: 15px;
}
.contact-sub textarea{
	height: 150px;
}
.contact-sub input[type=submit] {
    background-color: var(--primary);
    color: white;
    padding: 12px 20px;
    margin: 0px 5px;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    height: 50px;
    z-index: 99;
    text-transform: capitalize;
    margin: 7px 0px;
}
.contact-sub input[type=submit]:hover{
    background: var(--secondary);
}

.contact-sub input[type=text]:focus{
    border: none !important;
    outline: none !important;
}

.address-sub{
    padding: 20px 5px;
    margin-bottom: 20px;
    text-align: center;
    min-height: 190px;
    border-radius: 5px;
}
.connect{
    padding: 0px 15px;
}
.address-sub i{
    color: var(--primary);
    /* background: #F6F6F6;
    border-radius: 50%;
    height: 35px;
    width: 35px; */
    text-align: center;
    /* align-items: center;
    justify-content: center;
    display: flex; */

    margin: 0 auto;
    display: block;
    font-size: 25px;
    margin-bottom: 10px;
}
.address-sub p{
    margin-bottom: 0px;
    font-size: 15px;
    line-height: 24px;
}
.address-sub a{
    margin-top: 7px;
    font-weight: 400;
    color: var(--dark);
    font-size: 15px;

}
.address-sub a:hover{
    color: var(--primary);
}
.address-sub h4{
    font-size: 22px;
}
.connect p span{
    /* color: var(--light); */
    font-weight: 400;
}
.contact-sub-form{
    /* padding: 50px 0px; */
}
.contact-top-sub{
    background: var(--primary);
    color: white;
}
.address-sub ul{
    padding: 0;
}
.address-sub ul li{
    list-style: none;
    line-height: 30px;
}
.contact-sub input:focus,
.contact-sub textarea:focus {
    border: none; /* Remove border on focus */
    /* You can also adjust other border properties here */
    outline: none !important;
}
.form-control:focus {
    color: #212529;
    background-color: #fff;
    border: 1px solid #ccc !important;
    outline: 0;
    /* box-shadow: none !important; */
}
.map-main{
    /* padding: 0px; */
    background: white;
    position: relative;
    z-index: 99;
}
.map-main p{
    margin-bottom: 30px;
}
.map-main h4{
    font-size: 24px;
    font-weight: 600;
    margin-bottom: 10px;
}

.contact-sub-form h4{
    font-size: 36px;
    font-weight: 600;
    margin-bottom: 10px;
}

/* ------------- Blog ------------- */
.blog{
    /* background: white;
    box-shadow: 0px 10px 50px 0px rgba(26, 46, 85, 0.1);
    margin-bottom: 25px; */

        border-radius: 20px;
        /* box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1), 0 2px 4px rgba(0, 0, 0, 0.06); */
        background-color: #EAF7FD;
        padding: 20px;
        margin-bottom: 30px;
		position: relative;
}
.blog img{
    height: 200px;
    object-fit: cover;
    background-position: center;
    background-size: cover;
    width: 100%;
}
.blog-info{
    padding: 20px 10px;
}
.blog h6{
    font-size: 17px;
}
.blog1 img{
    height: auto !important;
}
.blog .news-info .learn-more{
	left: 20px;
    bottom: 20px;
    right: auto;
}
.blog .read-more:hover{
    color: var(--secondary) !important;
}
/* ------------- Blog details ------------- */
.blog-details{

}
.blog-details img{
    margin-bottom: 30px;
}
.blog-details h6{
    margin-bottom: 15px;
}
.blog-details1{
    padding-right: 50px;
}
.latest{
    /* box-shadow: 0px 10px 50px 0px rgba(26, 46, 85, 0.1); */
    background-color: white;
}
.latest1{
    background: none;
    box-shadow: 0px 10px 50px 0px rgba(26, 46, 85, 0.1);
    padding: 30px 10px 30px 20px;
    border-radius: 10px;
}
.latest1 h4{
    color: var(--primary);
    font-weight: 400;
}
.latest-news{
    /* padding: 20px 0px 10px; */
    /* margin-bottom: 20px; */
    align-items: center;
}
.latest-news img{
    height: 70px;
    width: auto;
    margin: 0px;
}
.latest-news h5{
    font-size: 18px;
}
.latest-news h6{
    font-size: 15px;
    margin: 0;
}
.latest-news a:hover{
    color: var(--primary) !important;
    letter-spacing: 1px;
}
.latest-news-info{
    padding: 5px 10px;
}

/* ------------- 404 ------------- */
.error-page-main{
    border-top: 1px solid #ccc;

}
.error-page{
    /* min-height: 300px; */
    align-items: center;
    justify-content: center;
    /* padding: 0px 0px 50px; */
    display: flex;
}

.error-page h3{
    font-size: 24px;
    color: var(--dark);
}
.error-page img{
    height: 400px;
    width: auto;
    margin: 0 auto;
    display: block;
    /* opacity: 0.8; */
    animation: bounce 5s infinite;
    object-fit: cover;

}
.error1{
    display: flex;
    /* justify-content: center; */
    align-items: center;
    text-align: center;
}
.error-page-content h2{
    font-size: 130px;
    color: var(--primary);
    line-height: 120px;

}
.error-page-content h3{
    font-size: 30px;
    font-weight: 500;
    color: var(--primary);
}
.staff-listing-wrapper {
    display: block;
    margin: 30px 0;
}
.staff-item {
    text-align: center;
    padding: 10px;
    box-shadow: 2px 2px 8px #CCC;
    margin-bottom: 10px;
    height: 97%;
}
.staff-item img {
    height: 250px;
    width: auto !important;
}
.staff-item p {
    text-align: center;
}

@media (max-width: 768px) { 
    .error-page img{
        height: 250px;
    }
    .error-page-content h2{
        font-size: 90px;
        line-height: 90px;
    }
    .error-page-content h3{
        font-size: 23px;
    }
}

@media (max-width: 576px) { 
    .error-page img{
        height: 150px;
    }
    .error-page-content h2{
        font-size: 50px;
        line-height: 50px;
    }
    .error-page-content h3{
        font-size: 18px;
    }
    .error-page-content p{
        display: none;
    }
    
}

